Subject: Re: [PATCH 3/5] sequencer: move current fixups to private context

From: Junio C Hamano <[email-masked]>
Date: Thu, 18 Apr 2024 13:48:01 -0700

Phillip Wood <[email-masked]> writes:

> From: Phillip Wood <[email-masked]>
>
> The list of current fixups is an implementation detail of the sequencer
> and so it should not be stored in the public options struct.

It feels curious how 2/5 and 3/5 treat "fixups" and "reflog"
differently.

I would have expected them to be either in a single patch, or if we
really wanted to split them for readability, do a preliminary change
in 2/5 that argues that "fixups" does not really belong to _opts but
is a private state just like "reflog" and moves it from "/* Used by
fixup/squash */" section to the "/* Private use */" section at the
end, and then introduce the _ctx in 3/5 to move these three
together.

The end result would be the same, but I would have found the flow of
thought more straight-forward if presented that way.